package com.brilliance.isc.swift.swifteditor.tag.message;

import java.util.List;


public class SEQ extends AbstractMessageArea {

    private final int type = SEQ;

    public MessageArea clone() {
        SEQ cp = new SEQ();
        cp.setName(this.getName());
        List<MessageArea> fields = this.getFields();
        for (MessageArea field : fields)
            cp.addSubArea(field.clone());
        cp.setAnlyReg(this.getAnlyReg());
        cp.begNo = this.begNo;
        cp.endNo = this.endNo;
        return cp;
    }

    public int getType() {
        return type;
    }
}
